SystemOrganization addCategory: #'MC2-Tests-Smalltalk'!

!MDSerializationBytesTest methodsFor: '*mc2-tests-smalltalk' stamp: 'cwp 11/12/2008 18:50'!
testClassCommentElement
	self 
		assert: (MDClassCommentElement className: #MDBogusA)
		serializesTo: #(1 5 9 10 14 9 8 77 68 66 111 103 117 115 65)! !

!MDSerializationBytesTest methodsFor: '*mc2-tests-smalltalk' stamp: 'cwp 11/12/2008 18:50'!
testClassElement
	self 
		assert: (MDClassElement className: #MDBogusA)
		serializesTo: #(1 5 9 9 14 9 8 77 68 66 111 103 117 115 65)! !

!MDSerializationBytesTest methodsFor: '*mc2-tests-smalltalk' stamp: 'cwp 11/12/2008 18:51'!
testClassInstVarElement
	self 
		assert: (MDClassInstVarElement 
				className: #MDBogusA
				name: 'beth')
		serializesTo: #(1 5 9 13 14 9 8 77 68 66 111 103 117 115 65 15 9 4 98 101 116 104)! !

!MDSerializationBytesTest methodsFor: '*mc2-tests-smalltalk' stamp: 'cwp 11/12/2008 18:51'!
testClassMethodElement
	| element |
	element := MDMethodElement 
		className: #MDBogusA
		selector: #one
		classIsMeta: true.
	self 
		assert: element
		serializesTo: #(1 5 9 15 14 9 8 77 68 66 111 103 117 115 65 14 9 3 111 110 101 7)! !

!MDSerializationBytesTest methodsFor: '*mc2-tests-smalltalk' stamp: 'cwp 11/12/2008 18:51'!
testClassVarElement
	self 
		assert: (MDClassVarElement className: #MDBogusA name: 'Alpha')
		serializesTo: #(1 5 9 12 14 9 8 77 68 66 111 103 117 115 65 15 9 5 65 108 112 104 97)! !

!MDSerializationBytesTest methodsFor: '*mc2-tests-smalltalk' stamp: 'cwp 11/12/2008 19:06'!
testInstVarElement
	| element |
	element := MDInstVarElement className: #MDBogusA name: 'one'.
	self assert: element serializesTo: #(1 5 9 11 14 9 8 77 68 66 111 103 117 115 65 15 9 3 111 110 101)! !

!MDSerializationBytesTest methodsFor: '*mc2-tests-smalltalk' stamp: 'cwp 11/12/2008 19:11'!
testMethodElement
	| element |
	element := MDMethodElement className: #MDBogusA selector: #one.
	self
		assert: element
		serializesTo: #(1 5 9 15 14 9 8 77 68 66 111 103 117 115 65 14 9 3 111 110 101 8)! !

!MDSerializationBytesTest methodsFor: '*mc2-tests-smalltalk' stamp: 'cwp 11/12/2008 19:33'!
testPoolImportElement
| element |
	element := MDPoolImportElement 
		className: #MDBogusA
		name: #MDBogusPoolA.
	self
		assert: element
		serializesTo: #(1 5 9 14 14 9 8 77 68 66 111 103 117 115 
					65 14 9 12 77 68 66 111 103 117 115 80 111 
					111 108 65)! !

MDAdaptionTest subclass: #MDSmalltalkAdaptionTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-Tests-Smalltalk'!

MDSmalltalkAdaptionTest subclass: #MDFakeAdaptionTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-Tests-Smalltalk'!

!MDFakeAdaptionTest methodsFor: 'converting' stamp: 'jf 10/21/2009 16:19'!
domainClass
	^ MDFakeDomain! !

!MDSmalltalkAdaptionTest class methodsFor: 'as yet unclassified' stamp: 'cwp 9/12/2009 22:42'!
isAbstract
	^ self name = #MDSmalltalkAdaptionTest! !

!MDSmalltalkAdaptionTest methodsFor: 'tests' stamp: 'cwp 9/12/2009 22:32'!
testClassComment
	self tryAdapting: (MDClassCommentElement className: #MDBogusA)! !

!MDSmalltalkAdaptionTest methodsFor: 'tests' stamp: 'cwp 9/12/2009 22:32'!
testClassElement
	self tryAdapting: (MDClassElement className: #MDBogusA)! !

!MDSmalltalkAdaptionTest methodsFor: 'tests' stamp: 'cwp 9/12/2009 22:32'!
testClassInstVarElement
	self tryAdapting: (MDClassInstVarElement className: #MDBogusA name: 'beth')! !

!MDSmalltalkAdaptionTest methodsFor: 'tests' stamp: 'cwp 9/12/2009 22:32'!
testClassVarElement
	self tryAdapting: (MDClassVarElement className: #MDBogusA name: 'Beta')! !

!MDSmalltalkAdaptionTest methodsFor: 'tests' stamp: 'cwp 9/12/2009 22:33'!
testInstVarElement
	self tryAdapting: (MDInstVarElement className: #MDBogusA name: 'one')! !

!MDSmalltalkAdaptionTest methodsFor: 'tests' stamp: 'cwp 9/12/2009 22:33'!
testMethodElement
	self tryAdapting: (MDMethodElement className: #MDBogusA selector: #method1)! !

!MDSmalltalkAdaptionTest methodsFor: 'tests' stamp: 'cwp 9/12/2009 22:33'!
testPoolImportElement
	self tryAdapting: (MDPoolImportElement 
			className: #MDBogusA
			name: #MDBogusPoolB)! !
